Name:           rlwrap
Version:        0.43
Release:        1
Summary:        Wrapper for GNU readline

Group:          Applications/Text
License:        GPLv2+
URL:            http://utopia.knoware.nl/~hlub/rlwrap/
Source0:        http://utopia.knoware.nl/~hlub/rlwrap/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  readline-devel >= 7.0-4
Requires:       readline >= 7.0-4

%description
rlwrap is a 'readline wrapper' that uses the GNU readline library to
allow the editing of keyboard input for any other command. Input
history is remembered across invocations, separately for each command;
history completion and search work as in bash and completion word
lists can be specified on the command line.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# to avoid a dependency on python3
chmod -x ${RPM_BUILD_ROOT}%{_datadir}/%{name}/filters/*.py

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_mandir}/man?/%{name}.*
%{_datadir}/%{name}
/usr/bin/*


%changelog
* Mon Jul 29 2019 Michael Perzl <michael@perzl.org> - 0.43-1
- updated to version 0.43

* Thu Dec 11 2014 Michael Perzl <michael@perzl.org> - 0.42-1
- updated to version 0.42

* Fri Aug 15 2014 Michael Perzl <michael@perzl.org> - 0.41-1
- updated to version 0.41

* Fri Aug 15 2014 Michael Perzl <michael@perzl.org> - 0.40-1
- updated to version 0.40

* Wed May 05 2010 Michael Perzl <michael@perzl.org> - 0.37-1
- updated to version 0.37

* Tue Apr 06 2010 Michael Perzl <michael@perzl.org> - 0.36-1
- first version for AIX V5.1 and higher
